Create User
curl --request POST \
--url https://api.crosoftware.com/v0/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"recaptcha": "<string>",
"user_type": "<string>",
"username": "<string>",
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verified_redirect_url": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/users"
payload = {
"password": "<string>",
"recaptcha": "<string>",
"user_type": "<string>",
"username": "<string>",
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verified_redirect_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
password: '<string>',
recaptcha: '<string>',
user_type: '<string>',
username: '<string>',
third_party_hauler_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
verified_redirect_url: '<string>'
})
};
fetch('https://api.crosoftware.com/v0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dispatcher_id": 123,
"driver_id": "<string>",
"id": "<string>",
"roles": [
"<string>"
],
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>"
}Users
Create User
Create new user.
POST
/
users
Create User
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Body
application/json
Response
200 - application/json
Success
User info.
Resource identifier.
Driver identifier.
User identifier.
User role.
Third party hauler identifier.
Identity UUID.
Username.
⌘I